.makes_page, .journalfeed_page {
  /* background-color: rgba(255,255,255,1); */
  overflow: hidden;
  width: 100%;
  height: auto;
  white-space: nowrap;
  --web-view-name: Ribblr - My journals;
  --web-view-id: Ribblr - My journals;
  --web-scale-on-resize: true;
  --web-enable-deep-linking: true;
  /* font-family: 'Raleway', sans-serif;
font-size: 0.75em;
font-feature-settings: "lnum"; */
}

.journalfeed_page_body {
  display: flex;
  border-radius: 24px;
  background-color: var(--White);
  padding: 16px;
  width: 100%;
  box-sizing: border-box;
}

.title_header {
  font-size: var(--font_title);
  padding: 16px;
}

.makes-body {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 0 12px;
}

.profile-detail {
    display: flex
;
    gap: 16px;
    flex-direction: row;
    align-items: center;
}

.selfee-card .profile-image {
    height: 64px;
    width: 64px;
}

.my_profile_img img, .profile-image svg {
    width: 64px;
    height: 64px;
    color: var(--textMain);
    border-radius: 50%;
    background:var(--background);
}

.makes-profile-details {
    display: flex
;
    flex-direction: column;
}

.username {
    font-size: var(--font_main);
    line-height: 17px;
    margin-bottom:6px;
    color: var(--textSecondary);
    font-weight: var(--fontweight_500);
}

.makes-follow-info {
    line-height: 17px;
    font-size: var(--font_main);
    color: var(--textSecondary);
}

.follow-btn::part(base) {
	background: none;
    color: var(--Purple);
    border: none;
    height: auto;
    box-sizing: border-box;
    font-size: var(--font_main);
    font-weight: var(--fontweight_500);
    padding: 0;
    justify-content: flex-start;
}

.follow-btn::part(label) {
	padding-left: 0;
}

.follow_icon {
	height:16px;
	width: 16px;
	display: flex;
	align-items: center;
}
.follow_icon svg{
	height: 16px;
	width: 16px;
}

.user_name_link {
  font-weight: 600;
}
.user_name_link:hover,
.user_name_link:active {
  color: var(--color_ribblr);
  text-decoration: underline;
}

.my_journals_svg {
  fill: var(--black_white);
}

.all_makes_list {
  display: flex;
}

.all_patterns h1 {
  font-size: var(--font_header);
  font-weight: var(--fontweight_heavy);
  margin: 0 1%;
}

.pattern_image_make {
  padding-top: 80%;
  margin-bottom: 13px;
}
/*
.total-likes {
    margin: auto;
    display: block;
    padding: 10px;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    background-image: linear-gradient(to left,var(--gradient1),var(--gradient2));
    box-shadow: var(--box-shadow-img);
}

.like-svg {
    width: 30px;
    fill: #fff;
    margin: auto;
    display: block;
}

.likejournal-total {
    color: #fff;
    margin: auto;
    display: block;
    width: -moz-fit-content;
    width: fit-content;
}
*/

/*.div_make .all_patterns img, .makes_page .all_patterns img, .product_page .all_patterns img */
.div_make .all_patterns .pattern_image img,
.product_page .all_patterns .pattern_image img {
  position: absolute;
  left: 0;
  top: 0;
  display: block;
  width: 100%;
  height: 100% !important;
  object-fit: cover;
  transition: var(--transition);
  padding: 5px;
  background: linear-gradient(to right top, #a471fb 30%, #ffb1c1, #fbc662);
}

/* .all_patterns img:hover {
box-shadow:0 7px 14px 0 rgba(60,66,87, 0.12), 0 3px 6px 0 rgba(0,0,0, 0.12);
} */

/* .all_patterns img:hover {
    transform: scale(1.05); 
} */

/* makes */

.no_journals_yet {
  text-align: center;
  display: block;
  font-size: var(--font_large);
  font-weight: var(--fontweight_heavy);
}

.product-inter {
  width: fit-content !important;
}

.product_item {
  grid-template-areas:
    "coverimg coverimg coverimg"
    "nametext nametext nametext"
    "product-line product-line product-line"
    "likejournal likejournal likejournal" !important;
}

.favorite_totalnum {
  z-index: 1;
  display: block;
  overflow: auto;
  margin-top: -4px;
  font-size: var(--font_small);
}

.sharelike {
  display: grid;
  grid-template-columns: max-content max-content;
  grid-template-areas: "karma like share shareable";
  margin-top: 1em;
  grid-column-gap: 0;
  font-size: var(--font_small);
  grid-area: makerreviews;
  width: max-content;
  margin: 10px auto;
}

.reviewstars {
  margin: 0.4em auto;
  position: relative;
}

.reviewstars2 {
  width: fit-content;
  margin: auto;
}

.share_it2 {
  display: inline-block;
}

.maker-favorite {
  display: flex;
  grid-area: like;
  flex-direction: column;
  margin: -1.5px 1.5em 0 1.5em;
  position: relative !important;
  left: unset;
  right: unset;
  top: unset;
  z-index: 1;
}

.maker-favorite .add_wishlist_container,
.maker-favorite .remove_wishlist_container,
.maker-favorite .testers_container {
  position: relative !important; /* otherwise svg moves */
}

.maker-favorite .add_to_wishlist {
  position: relative !important;
  display: block !important;
  float: none !important;
  z-index: 1 !important;
  width: 30px !important;
  height: auto !important;
  margin: auto !important;
  padding: none !important;
  stroke: var(--iconRibblr) !important;
  stroke-width: 15px !important;
  fill: var(--iconRibblr) !important;
  background: var(--background2) !important;
  border: none !important;
  box-shadow: none !important;
  left: 1px !important;
}

.maker-favorite .add_to_wishlist:hover,
.maker-favorite .add_to_wishlist:active {
  cursor: pointer;
}

.maker-favorite .add_to_wishlist_true {
  position: relative !important;
  float: none !important;
  margin: auto !important;
  display: block;
  z-index: 1 !important;
  fill: var(--iconRibblr) !important;
  width: 30px !important;
  height: auto !important;
  animation-name: pulse;
  animation-duration: 0.8s;
  animation-timing-function: ease-in-out;
  animation-delay: 0;
  animation-direction: alternate;
  animation-iteration-count: 1;
  animation-fill-mode: none;
  animation-play-state: var(--motion);
  transform: scale(1);
  background: transparent !important;
  left: 1px !important;
}

.tester_badge img {
  width: 45px !important;
  height: 45px !important;
  position: relative !important;
  vertical-align: -webkit-baseline-middle;
  display: block;
  border-radius: 0 !important;
  background: none !important;
  box-shadow: none !important;
}

.div_make .pattern_item,
.product_page .pattern_item {
  grid-template-areas:
    "coverimg coverimg coverimg"
    "nametext nametext nametext"
    "product-line product-line product-line"
    "likejournal likejournal likejournal";
  margin: 10px 1%;
  width: 14.5%;
  grid-template-rows: auto 20px 20px auto;
  grid-template-areas:
    "coverimg coverimg coverimg"
    "nametext nametext nametext"
    "likejournal likejournal likejournal"
    "empty empty empty";
  grid-template-rows: auto 20px 20px 20px;
}

.makes_page .loader-contain sl-card {
  display: block;
}

.div_make .craft_type,
.makes_page .craft_type,
.product_page .craft_type {
  grid-area: art !important;
  margin: 0px !important;
}

.p-progress-top {
  grid-area: progress;
  position: relative;
  margin: 0 0 0.75em 0;
}

.p-progress-top progress {
  width: 100%;
  -webkit-appearance: none;
  appearance: none;
}

.p-progress-top progress[value]::-webkit-progress-value {
  background-image: -webkit-linear-gradient(
      -45deg,
      transparent 33%,
      rgba(0, 0, 0, 0.1) 33%,
      rgba(0, 0, 0, 0.1) 66%,
      transparent 66%
    ),
    -webkit-linear-gradient(top, rgba(255, 255, 255, 0.25), rgba(0, 0, 0, 0.25)),
    -webkit-linear-gradient(left, var(--gradient1), var(--gradient2));
  border-radius: 2px;
  background-size: 35px 20px, 100% 100%, 100% 100%;
  box-shadow: var(--box-shadow-img);
}

/* for firefox :( */
.p-progress-top ::-moz-progress-bar {
  background-image: -moz-linear-gradient(
      -45deg,
      transparent 33%,
      rgba(0, 0, 0, 0.1) 33%,
      rgba(0, 0, 0, 0.1) 66%,
      transparent 66%
    ),
    -moz-linear-gradient(top, rgba(255, 255, 255, 0.25), rgba(0, 0, 0, 0.25)),
    -moz-linear-gradient(left, var(--gradient1), var(--gradient2));
  background-image: -webkit-linear-gradient(
      -45deg,
      transparent 33%,
      rgba(0, 0, 0, 0.1) 33%,
      rgba(0, 0, 0, 0.1) 66%,
      transparent 66%
    ),
    -webkit-linear-gradient(top, rgba(255, 255, 255, 0.25), rgba(0, 0, 0, 0.25)),
    -webkit-linear-gradient(left, var(--gradient1), var(--gradient2));
  border-radius: 5px;
  background-size: 35px 20px, 100% 100%, 100% 100%;
  box-shadow: var(--box-shadow-img);
}

.p-progress-top progress::-webkit-progress-bar {
  border: 0;
  border-radius: 5px;
  height: 20px;
  background: #707070;
}

@-moz-document url-prefix() {
  .p-progress-top progress {
    border: 0;
    border-radius: 5px;
    height: 20px;
    background: #707070;
  }
}

.pattern_progress {
  position: absolute;
  right: 5px;
  font-weight: 600;
  color: #fff;
  text-shadow: var(--dropContrast);
  top: 2px;
}

.seejournal {
  grid-area: seejournal;
}

.seejournalbutton {
  background-image: linear-gradient(
    to left,
    var(--gradient1),
    var(--gradient2)
  );
  transition: var(--transition);
  display: -webkit-box;
  -webkit-box-pack: center;
  -webkit-box-align: center;
  margin: auto;
  margin-bottom: 5px;
  padding: 1.5%;
  border-radius: 0px 0px 50px 0px;
}

.seejournalbutton:hover,
.seejournalbutton:active {
  transform: translateY(-5px) var(--transform);
  box-shadow: 0px 0px 10px #070102;
  cursor: pointer;
}

#seejournal {
  font-weight: 600;
  color: #fff;
  text-shadow: var(--dropContrast);
  font-size: 1.3em;
  display: block;
  margin: auto;
  text-align: center;
  filter: drop-shadow(3px 3px 10px #ccc);
}

#seejournal:hover,
#seejournal:active {
  color: #f0f0f0;
}

.karma_points {
  display: flex;
  align-items: center;
  flex-direction: column;
  grid-area: karma;
}

.karma_points img {
  width: 26.5px;
  padding: 3px 3px 2px 3px !important;
  margin: auto !important;
}

.share_journals {
  vertical-align: middle;
  display: inline-block;
  position: relative;
  cursor: pointer;
  transition: var(--transition);
  z-index: 1;
  height: max-content;
  margin: auto 1.5em auto 0;
  grid-area: share;
}

.share_journals:active,
.share_journals:hover {
  opacity: var(--opacityHover);
}

#share_journals {
  white-space: pre-line;
  margin-left: 10px;
}

.resellmake,
.sellmake {
  /*background:rgba(190,182,209,1);*/
  background: rgb(251, 198, 98);
  color: #000;
  text-shadow: none;
}

.learnmore-makes {
  font-size: var(--font_main);
  font-style: italic;
  text-decoration: underline;
  color: var(--color2);
}

.game__container {
  margin: 2em auto !important; /* different than myshop*/
}

.ribblr_bdg_plat {
  width: 80px;
}

.ribblr_bdg {
  height: 20px;
  width: 60px;
}

@media only screen and (max-width: 767px) and (max-aspect-ratio: 119/90) /* cellphones portrait */ {

  .share_journals {
    display: block;
    width: max-content;
  }
}

/* ads */
.ads_logo::after {
  top: -15px;
  right: 5px;
}

.ads_logo img {
  margin: 0 !important;
}

.ads_img.pattern_image {
  margin-bottom: 13px !important;
}

.title_header img {
  border: solid 1px #222;
  border-radius: 50%;
  width: 40px;
  margin-left: 10px;
  position: relative;
  z-index: 0;
  top: 0;
  left: 0;
}

.title_header span {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
